<div class="search-game" fxLayout="row" fxLayoutAlign="space-between center">
    <div>
        <h1 class="page-title">All {{title | titlecase}} Games</h1>
    </div>
    <mat-form-field appearance="outline" class="search-input">
        <input matInput (keyup)="applyFilter($event)" placeholder="Search By Game Title" #input>
        <mat-icon matSuffix>search</mat-icon>
    </mat-form-field>
</div>
<!--End Search Field-->
<div class="site-content">
   <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <mat-divider></mat-divider>
    <div class="cards-container" fxLayout="row wrap" fxLayoutGap="20px" fxLayoutAlign="start center">
        <!--image card layout start-->
        <div class="container" *ngFor="let game of obs | async">
            <!--image row start-->
            <div class="row">
                <!--image card start-->
                <div class="image">
                    <img [src]="game.imageUrl" alt="game.title">
                    <div class="details">
                        <h2><span>{{game.title}}</span></h2>
                        <div class="more">
                            <a mat-button [routerLink]="['/games', game.id]" class="read-more">details</a>
                            <div class="icon-links" >
                                <a mat-button *ngIf="!checkFav(userFavoriteGames, game)" (click)="addToFavorite(game)" matTooltip="Add To Favorites">
                                    <mat-icon class="favorite-icon">favorite</mat-icon>
                                </a>
                                <a mat-button *ngIf="checkFav(userFavoriteGames, game)" disabled  matTooltip="Added To Favorites">
                                    <mat-icon class="favorite-disable-icon">favorite</mat-icon>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <!--image card end-->
            </div>
            <!--image row end-->
        </div>
        <!--image card layout end-->
    </div>

    <mat-divider></mat-divider>

    <mat-paginator [length]="games?.length" [pageSize]="12" [pageSizeOptions]="[6, 12, 24, 48]"
        aria-label="Select page">
    </mat-paginator>
    <mat-divider></mat-divider>
</div>